
#ifndef _INCLUDE_MATRIX_MEMORY_ALLOCATE_H_
#define _INCLUDE_MATRIX_MEMORY_ALLOCATE_H_

#ifdef __cplusplus
extern "C" {
#endif

/*
** data[ynum][xnum] の2次元配列バッファ確保
*/
extern void **MemoryAllocate2D(int ynum, int xnum, size_t size);

/*
** data[znum][ynum][xnum] の3次元配列バッファ確保
*/
extern void ***MemoryAllocate3D(int znum, int ynum, int xnum, size_t size);

/*
** data[wnum][znum][ynum][xnum] の4次元配列バッファ確保
*/
extern void ****MemoryAllocate4D(int wnum, int znum, int ynum, int xnum, size_t size);

#ifdef __cplusplus
}
#endif


#endif /* End of _INCLUDE_MATRIX_MEMORY_ALLOCATE_H_ */

/* EOF */

